﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Web;
using Microsoft.AspNet.SignalR;

namespace SignalRServer3.Controllers
{
    public class ChatHub : Hub
    {
        public class MessageViewModel
        {
            public string Message { get; set; }
            public string Author { get; set; }
        }
        public void Send(MessageViewModel message)
        {
            Clients.All.NewMessage(message);
        }

        public override Task OnConnected()
        {
            return base.OnConnected();
        }
    }
}